Subject: Bug: Window focus - mouse in context window

From: Arvind <[email-masked]>
Date: Thu, 14 Nov 2002 07:19:30 +0530

Hi,

There seems to be a problem with window focusing with the mouse
inside a window.

Minimal config:
---8< --- >8---
Style "*" SloppyFocus

AddToFunc Raise-and-Focus "I"  Focus
+  "I"  Raise

Key Tab  A M  Next (!iconic !Shaded CurrentScreen CurrentPage "*") Raise-and-Focus
---8< --- >8---

This used to work fine just a few days ago. I think it stopped
working when Next and Prev commands started looking at the
context window. So, I don't know if it is supposed to work this
way, and if there's a woraround.

This might be the CVS log of where it stopped working:
---8< --- >8---
2002-11-07  Dominik Vogt  <[email-masked]>
    * fvwm/conditional.c (Circulate):
    (circulate_cmd):
    Next and Prev commands begin looking at the context window, if any
---8< --- >8---

The problem is:

         1################1
         #                #
         #                #
         #      2---------#------2
         #      |    *    #      |
         1################1      |
                |                |
                |                |
                |                |
                2----------------2

The window (1) is focused and raised.
The other window (2) is below it and is partially obscured.
The mouse pointer (*) is at a place where they overlap.

Now, my minimal config works fine. It works as it should even if
the pointer is on the root window, outside both the windows.

The trouble starts when the mouse pointer is inside one of the
windows. As in,

         1################1
         #                #
         #   *            #
         #      2---------#------2
         #      |         #      |
         1################1      |
                |                |
                |                |
                |                |
                2----------------2

Window (1) is focused, raised and has the pointer.
Window (2) is below it.

If I press Alt + Tab once, window 2 (rightly) gets focused and
raised. But, if I press it once more, window 1, the one the
pointer is in does not get focused. I'm sure it has something to
do with the context window (which I assume is the one the pointer
is in).

Thanks for any clarification,
Arvind

PS: I'm not on the list.
-- 
There's a fine line between courage and foolishness.  Too bad it's not a fence.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]